﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Assigning Campaign Fine-Grained Access</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Assigning Campaign Fine-Grained Access</h1>
        <p>The SAV Role Access for Campaign is enhanced from Release 2020.0 onwards. New access permissions for the Campaign have been added in the&#160;<strong>Access</strong>&#160;tab of the SAV Roles. The access permissions are added for Campaign actions at the fine-grained level. This is particularly useful in scenarios where you have a Campaign owner who created the Campaign and is out-of-office and for an ad-hoc basis, you want to assign another user to manage all the Campaigns. Previously, before this feature was introduced you had to assign elevated access to the user with Role_Admin SAV Role access that creates a Security risk. Using this feature, you can now regulate and only assign access to specific Campaign actions only. For example,&#160;you can create a SAV_Role ‘Role_Auditor’ who cannot take actions on the Campaign but can view all the Campaigns, view the Campaign Summary, and export the Campaign and Certifications.</p>
        <p>If you are upgrading from a previous IGA release to V5.5.0 then you need to assign the SAV_Role.</p>
        <p>The following are examples of SAV Roles that can be created:</p>
        <p><strong>Role_Auditor:</strong>
        </p>
        <ul>
            <li>
                <p>Can see all campaigns</p>
            </li>
            <li>
                <p>Can view campaign summary</p>
            </li>
            <li>
                <p>Can export campaigns or Certifications</p>
            </li>
            <li>
                <p>See all the campaign data but cannot take any actions on a campaign&#160;</p>
            </li>
        </ul>
        <p><strong>Role_Campaign_Creator:</strong>
        </p>
        <ul>
            <li>
                <p>Can see all campaigns</p>
            </li>
            <li>
                <p>Can create campaigns</p>
            </li>
            <li>
                <p>Can reconfigure/discontinue/export campaigns and certifications</p>
            </li>
        </ul>
        <p>The following table designates the new fine-grained Campaign Actions, Access governing the Action (URL), Campaign Read-Only Role, Campaign Update Role, Generic Action or Specific Action applicable for all Campaigns.</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 258.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 213.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 353.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 75.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 75.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 80.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 92.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Campaign Action (AUTHTYPE)</th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Campaign action (URL)</th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">SUBMENU</th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Campaign Read-Only Role</th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Campaign Update Role</th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Generic Action for All Campaigns
or
Action for a Specific Campaign</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Action Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">campaign_list_export</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">/campaignlist/export</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SUBMENU.CAMPAIGN.campaign_list_export</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Generic Action for All Campaigns&#160;</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Used to export Campaigns from the Campaigns list page.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">certification_list_export</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">/certificationlist/export</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SUBMENU.CAMPAIGN.certification_list_export</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Generic Action for All Campaigns&#160;</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Used to export all the certifications inside a Campaign.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">campaign_reconfigure</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">/campaign/reconfigure</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SUBMENU.CAMPAIGN.campaign_reconfigure</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">No</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Generic Action for All Campaigns&#160;</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Used to reconfigure the Campaign from the Campaign list page.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">campaign_discontinue</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">/campaign/discontinue</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SUBMENU.CAMPAIGN.campaign_discontinue</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">No</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Generic Action for All Campaigns</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Used for discontinuing a Campaign.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">campaign_step1_export</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">/stepone/export</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SUBMENU.CAMPAIGN.campaign_step1_export</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Specific Action for User Manager Campaign -&#160;</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Used to perform an export from Step 1 of the User Manager Campaign.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">campaign_ent_role_owner_summmary</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">/campaign/summary</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SUBMENU.CAMPAIGN.campaign_ent_role_owner_summmary</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Generic Action for All Campaigns&#160;</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Used to execute and fetch a summary from the Campaign list page.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">campaign_step2_export</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">/secondstep/export</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SUBMENU.CAMPAIGN.campaign_step2_export</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Specific Action for User Manager Campaign</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Used to perform an export from Step 2 of the User Manager Campaign.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">step1_action</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">/firststep/actions</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SUBMENU.CAMPAIGN.step1_action</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">No</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Specific Action for User Manager Campaign</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Used to take actions such as 'Works for me/Does not work for me' from Step 1 of the User Manager Campaign.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">finish_access_review</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">/certification/finishAccessReview</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SUBMENU.CAMPAIGN.finish_access_review</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">No</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Generic Action for All Campaigns</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Used to grant the Finish Access Review button access for all the Campaigns.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">step2_action</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">/secondstep/actions</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SUBMENU.CAMPAIGN.step2_action</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">No</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Specific Action for User Manager Campaign</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Used to take actions on Base Account, Access, Entitlements from Step 2 of the User Manager Campaign.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">certification_export</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">/certification/export</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SUBMENU.CAMPAIGN.certification_export</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Generic Action for All Campaigns</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Used to grant the export access for the certifications inside a Campaign.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">certification_discontinue</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">/certification/discontinue</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SUBMENU.CAMPAIGN.certification_discontinue</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">No</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Generic Action for All Campaigns</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Used for granting access to the Discontinue button in a certification.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">campaign_create</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">/campaign/create</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SUBMENU.CAMPAIGN.campaign_create</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">No</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">No</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Generic Action for All Campaigns</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Used to grant Create Campaign privilege for all the campaigns.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">campaign_allCampCertAccess</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">/campaign/viewAllCampCertAccess</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">SUBMENU.CAMPAIGN.campaign_allCampCertAccess</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Yes</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Generic Action for All Campaigns</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Used to grant read-only privileges for viewing a Campaign (without performing any action).</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </body>
</html>